Assets

Undo a bulk tag change

POST
/assets/tags/bulk/revert

Deletes the links in added and re-creates the links in removed. Links already in the requested state are skipped. Links in added are deleted with only asset-access checks (same rule as remove). The call is atomic.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

application/json
  1. body
added?array<>

Links a previous bulk call added; they are deleted.

Itemsitems <= 1000
Default[]
removed?array<>

Links a previous bulk call removed; they are re-created.

Itemsitems <= 1000
Default[]

Response Body

Successful Response

application/json
  1. response
added*array<>

Links created by this call (links that already existed are omitted).

removed*array<>

Links deleted by this call (links that did not exist are omitted).

tags*array<>

The tags that were added, including any newly created ones.

curl -X POST "https://example.com/assets/tags/bulk/revert" \  -H "Content-Type: application/json" \  -d '{}'
{  "added": [    {      "asset_id": "string",      "tag_id": "string"    }  ],  "removed": [    {      "asset_id": "string",      "tag_id": "string"    }  ],  "tags": [    {      "id": "string",      "name": "string",      "color": "string",      "created_by": "string",      "created_at": "string",      "asset_count": null,      "preview_thumbnails": null    }  ]}